Mark book progression
curl --request PUT \
--url https://demo.komga.org/api/v1/books/{bookId}/progression \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"device": {
"id": "<string>",
"name": "<string>"
},
"locator": {
"href": "<string>",
"type": "<string>",
"koboSpan": "<string>",
"text": {
"after": "<string>",
"before": "<string>",
"highlight": "<string>"
},
"title": "<string>"
},
"modified": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://demo.komga.org/api/v1/books/{bookId}/progression"
payload = {
"device": {
"id": "<string>",
"name": "<string>"
},
"locator": {
"href": "<string>",
"type": "<string>",
"koboSpan": "<string>",
"text": {
"after": "<string>",
"before": "<string>",
"highlight": "<string>"
},
"title": "<string>"
},
"modified": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device: {id: '<string>', name: '<string>'},
locator: {
href: '<string>',
type: '<string>',
koboSpan: '<string>',
text: {after: '<string>', before: '<string>', highlight: '<string>'},
title: '<string>'
},
modified: '2023-11-07T05:31:56Z'
})
};
fetch('https://demo.komga.org/api/v1/books/{bookId}/progression', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/books/{bookId}/progression",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'device' => [
'id' => '<string>',
'name' => '<string>'
],
'locator' => [
'href' => '<string>',
'type' => '<string>',
'koboSpan' => '<string>',
'text' => [
'after' => '<string>',
'before' => '<string>',
'highlight' => '<string>'
],
'title' => '<string>'
],
'modified' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/books/{bookId}/progression"
payload := strings.NewReader("{\n \"device\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"locator\": {\n \"href\": \"<string>\",\n \"type\": \"<string>\",\n \"koboSpan\": \"<string>\",\n \"text\": {\n \"after\": \"<string>\",\n \"before\": \"<string>\",\n \"highlight\": \"<string>\"\n },\n \"title\": \"<string>\"\n },\n \"modified\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://demo.komga.org/api/v1/books/{bookId}/progression")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"device\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"locator\": {\n \"href\": \"<string>\",\n \"type\": \"<string>\",\n \"koboSpan\": \"<string>\",\n \"text\": {\n \"after\": \"<string>\",\n \"before\": \"<string>\",\n \"highlight\": \"<string>\"\n },\n \"title\": \"<string>\"\n },\n \"modified\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/books/{bookId}/progression")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"device\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"locator\": {\n \"href\": \"<string>\",\n \"type\": \"<string>\",\n \"koboSpan\": \"<string>\",\n \"text\": {\n \"after\": \"<string>\",\n \"before\": \"<string>\",\n \"highlight\": \"<string>\"\n },\n \"title\": \"<string>\"\n },\n \"modified\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}WebPub Manifest
Mark book progression
The Progression API is a proposed standard for OPDS 2 and Readium. It is used by the Epub Reader.
PUT
/
api
/
v1
/
books
/
{bookId}
/
progression
Mark book progression
curl --request PUT \
--url https://demo.komga.org/api/v1/books/{bookId}/progression \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"device": {
"id": "<string>",
"name": "<string>"
},
"locator": {
"href": "<string>",
"type": "<string>",
"koboSpan": "<string>",
"text": {
"after": "<string>",
"before": "<string>",
"highlight": "<string>"
},
"title": "<string>"
},
"modified": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://demo.komga.org/api/v1/books/{bookId}/progression"
payload = {
"device": {
"id": "<string>",
"name": "<string>"
},
"locator": {
"href": "<string>",
"type": "<string>",
"koboSpan": "<string>",
"text": {
"after": "<string>",
"before": "<string>",
"highlight": "<string>"
},
"title": "<string>"
},
"modified": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device: {id: '<string>', name: '<string>'},
locator: {
href: '<string>',
type: '<string>',
koboSpan: '<string>',
text: {after: '<string>', before: '<string>', highlight: '<string>'},
title: '<string>'
},
modified: '2023-11-07T05:31:56Z'
})
};
fetch('https://demo.komga.org/api/v1/books/{bookId}/progression', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/books/{bookId}/progression",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'device' => [
'id' => '<string>',
'name' => '<string>'
],
'locator' => [
'href' => '<string>',
'type' => '<string>',
'koboSpan' => '<string>',
'text' => [
'after' => '<string>',
'before' => '<string>',
'highlight' => '<string>'
],
'title' => '<string>'
],
'modified' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/books/{bookId}/progression"
payload := strings.NewReader("{\n \"device\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"locator\": {\n \"href\": \"<string>\",\n \"type\": \"<string>\",\n \"koboSpan\": \"<string>\",\n \"text\": {\n \"after\": \"<string>\",\n \"before\": \"<string>\",\n \"highlight\": \"<string>\"\n },\n \"title\": \"<string>\"\n },\n \"modified\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://demo.komga.org/api/v1/books/{bookId}/progression")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"device\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"locator\": {\n \"href\": \"<string>\",\n \"type\": \"<string>\",\n \"koboSpan\": \"<string>\",\n \"text\": {\n \"after\": \"<string>\",\n \"before\": \"<string>\",\n \"highlight\": \"<string>\"\n },\n \"title\": \"<string>\"\n },\n \"modified\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/books/{bookId}/progression")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"device\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"locator\": {\n \"href\": \"<string>\",\n \"type\": \"<string>\",\n \"koboSpan\": \"<string>\",\n \"text\": {\n \"after\": \"<string>\",\n \"before\": \"<string>\",\n \"highlight\": \"<string>\"\n },\n \"title\": \"<string>\"\n },\n \"modified\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Body
application/json
Response
No Content